#
# spec file for package python-watchdog
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-watchdog
Version:        0.9.0
Release:        2.1
Summary:        Filesystem events monitoring
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://github.com/gorakhargosh/watchdog
Source:         https://files.pythonhosted.org/packages/source/w/watchdog/watchdog-%{version}.tar.gz
Patch0:         add-missing-conftest.patch
BuildRequires:  %{python_module pathtools}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest-timeout >= 0.3}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-Sphinx
Requires:       python-PyYAML
Requires:       python-argh
Requires:       python-pathtools
BuildArch:      noarch
%ifpython2
Requires:       python-Brownie
%endif
%python_subpackages

%description
Python API and shell utilities to monitor file system events.

%package doc
Summary:        Documentation and examples for %{name}
Group:          Documentation/HTML

%description doc
This package contains documentation and examples for %{name}.

%prep
%setup -q -n watchdog-%{version}
%patch0 -p1
chmod -x README.rst
# Remove all shebangs
find src -name "*.py" | xargs sed -i -e '/^#!\//, 1d'

%build
%python_build
cd docs && make html && rm -r build/html/.buildinfo build/html/objects.inv # Build HTML docs

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version}

%files %{python_files}
%license COPYING LICENSE
%doc AUTHORS changelog.rst MANIFEST.in README.rst
%python3_only %{_bindir}/watchmedo
%{python_sitelib}/watchdog
%{python_sitelib}/watchdog-%{version}-py%{python_version}.egg-info

%files %{python_files doc}
%doc docs/build/html

%changelog
* Mon Nov 19 2018 adrian.glaubitz@suse.com
- Update to version 0.8.3
- Cherry-pick upstream patch to fix testsuite
  + add-missing-conftest.patch
- Update BuildRequires from setup.py
* Thu Aug  9 2018 tchvatal@suse.com
- Remove devel dependency
- Use %%license macro
* Sat Aug 12 2017 jengelh@inai.de
- Specify RPM group more exactly
* Sat Apr 22 2017 aloisio@gmx.com
- Converted to single-spec
- Split docs into separate package
* Fri Mar 11 2016 freitag@opensuse.org
- Update to version 0.8.3
  * Event emitters are no longer started on schedule if Observer is
    not already running.
  Changes from 0.8.0:
  * DirectorySnapshot: methods returning internal stat info replaced
    by mtime, inode and path methods.
  * DirectorySnapshot: walker_callback parameter deprecated.
  no more changelog available upstream
- Fix py compile mtime issue
- use record filelist feature of setup.py to gather proper filelist
* Mon Jan 14 2013 p.drouand@gmail.com
- Update to 0.6.0 version:
  * No changelog or NEWS file provided
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
